Package groovy.json.internal

# Class ValueList

java.lang.Object
java.util.AbstractCollection<Object>
java.util.AbstractList<Object>
groovy.json.internal.ValueList

All Implemented Interfaces:
  `Iterable<Object>`, `Collection<Object>`, `List<Object>`, `SequencedCollection<Object>`

public class ValueList extends AbstractList<Object>

Author:
  Rick Hightower

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`ValueList(boolean lazyChop)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(Object obj)`
`void`
`chopList()`
`void`
`clear()`
`Object`
`get(int index)`
`Iterator<Object>`
`iterator()`
`List<Object>`
`list()`
`int`
`size()`

### Methods inherited from class java.util.AbstractList

`add, addAll, equals, hashCode, indexOf, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, addFirst, addLast, contains, containsAll, getFirst, getLast, isEmpty, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, sort, spliterator, toArray, toArray`

## Constructor Details

### ValueList

public ValueList(boolean lazyChop)

## Method Details

### get

public Object get(int index)

Specified by:
  `get` in interface `List<Object>`
Specified by:
  `get` in class `AbstractList<Object>`

### size

public int size()

Specified by:
  `size` in interface `Collection<Object>`
Specified by:
  `size` in interface `List<Object>`
Specified by:
  `size` in class `AbstractCollection<Object>`

### iterator

public Iterator<Object> iterator()

Specified by:
  `iterator` in interface `Collection<Object>`
Specified by:
  `iterator` in interface `Iterable<Object>`
Specified by:
  `iterator` in interface `List<Object>`
Overrides:
  `iterator` in class `AbstractList<Object>`

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<Object>`
Specified by:
  `clear` in interface `List<Object>`
Overrides:
  `clear` in class `AbstractList<Object>`

### add

public boolean add(Object obj)

Specified by:
  `add` in interface `Collection<Object>`
Specified by:
  `add` in interface `List<Object>`
Overrides:
  `add` in class `AbstractList<Object>`

### chopList

public void chopList()

### list

public List<Object> list()